extends Control


func _process(delta):
	if Input.is_action_just_pressed("game_pause"):
		get_tree().paused = !get_tree().paused
		self.visible = !self.visible
	


#if Input.is_action_pressed("ui_accept") or Input.is_action_pressed("ui_start"):
#	Input.start_joy_vibration(0, 1, 1, 0.1)
#	Input.vibrate_handheld(100)		get_tree().change_scene("res://Spatial.tscn")
#	var player = AudioStreamPlayer.new()
#	self.add_child(player)
#	player.stream = load("res://assets/sounds/click.wav")
#	player.play()
#pass

func _on_PauseButton_pressed():
	get_tree().paused = !get_tree().paused
	self.visible = !self.visible
	pass # Replace with function body.


func _on_buttontitleresume_pressed():
	get_tree().paused = !get_tree().paused
	self.visible = !self.visible
	pass # Replace with function body.
